# Copper reduces scale.
execute if predicate linear_progression:trim/copper_helmet run attribute @s generic.scale modifier add copper_helmet -0.31 add_multiplied_base
execute if predicate linear_progression:trim/copper_chest run attribute @s generic.scale modifier add copper_chest -0.31 add_multiplied_base
execute if predicate linear_progression:trim/copper_legs run attribute @s generic.scale modifier add copper_legs -0.31 add_multiplied_base
execute if predicate linear_progression:trim/copper_boots run attribute @s generic.scale modifier add copper_boots -0.31 add_multiplied_base
# Remove copper scale.
execute unless predicate linear_progression:trim/copper_helmet run attribute @s generic.scale modifier remove copper_helmet
execute unless predicate linear_progression:trim/copper_chest run attribute @s generic.scale modifier remove copper_chest
execute unless predicate linear_progression:trim/copper_legs run attribute @s generic.scale modifier remove copper_legs
execute unless predicate linear_progression:trim/copper_boots run attribute @s generic.scale modifier remove copper_boots



scoreboard players set @s emerald_trim 0

execute if entity @p[predicate=linear_progression:trim/emerald_helmet] run scoreboard players add @s emerald_trim 1
execute if entity @p[predicate=linear_progression:trim/emerald_chest] run scoreboard players add @s emerald_trim 1
execute if entity @p[predicate=linear_progression:trim/emerald_legs] run scoreboard players add @s emerald_trim 1
execute if entity @p[predicate=linear_progression:trim/emerald_boots] run scoreboard players add @s emerald_trim 1

execute if score @s emerald_trim matches ..4 run attribute @s generic.safe_fall_distance modifier remove emerald_full

execute if score @s emerald_trim matches 4 run attribute @s generic.safe_fall_distance modifier add emerald_full 99999999 add_value

# Emerald reduces gravity.
execute if predicate linear_progression:trim/emerald_helmet run attribute @s generic.gravity modifier add emerald_helmet -0.017 add_value
execute if predicate linear_progression:trim/emerald_chest run attribute @s generic.gravity modifier add emerald_chest -0.017 add_value
execute if predicate linear_progression:trim/emerald_legs run attribute @s generic.gravity modifier add emerald_legs -0.017 add_value
execute if predicate linear_progression:trim/emerald_boots run attribute @s generic.gravity modifier add emerald_boots -0.017 add_value
# Remove emerald gravity.
execute unless predicate linear_progression:trim/emerald_helmet run attribute @s generic.gravity modifier remove emerald_helmet
execute unless predicate linear_progression:trim/emerald_chest run attribute @s generic.gravity modifier remove emerald_chest
execute unless predicate linear_progression:trim/emerald_legs run attribute @s generic.gravity modifier remove emerald_legs
execute unless predicate linear_progression:trim/emerald_boots run attribute @s generic.gravity modifier remove emerald_boots

# Emerald reduces fall damage.
execute if predicate linear_progression:trim/emerald_helmet run attribute @s generic.safe_fall_distance modifier add emerald_helmet 3 add_value
execute if predicate linear_progression:trim/emerald_chest run attribute @s generic.safe_fall_distance modifier add emerald_chest 3 add_value
execute if predicate linear_progression:trim/emerald_legs run attribute @s generic.safe_fall_distance modifier add emerald_legs 3 add_value
execute if predicate linear_progression:trim/emerald_boots run attribute @s generic.safe_fall_distance modifier add emerald_boots 3 add_value
# Remove emerald fall damage safeguard.
execute unless predicate linear_progression:trim/emerald_helmet run attribute @s generic.safe_fall_distance modifier remove emerald_helmet
execute unless predicate linear_progression:trim/emerald_chest run attribute @s generic.safe_fall_distance modifier remove emerald_chest
execute unless predicate linear_progression:trim/emerald_legs run attribute @s generic.safe_fall_distance modifier remove emerald_legs
execute unless predicate linear_progression:trim/emerald_boots run attribute @s generic.safe_fall_distance modifier remove emerald_boots

# Emerald jump strength.
execute if predicate linear_progression:trim/emerald_helmet run attribute @s generic.jump_strength modifier add emerald_helmet 0.1 add_value
execute if predicate linear_progression:trim/emerald_chest run attribute @s generic.jump_strength modifier add emerald_chest 0.1 add_value
execute if predicate linear_progression:trim/emerald_legs run attribute @s generic.jump_strength modifier add emerald_legs 0.1 add_value
execute if predicate linear_progression:trim/emerald_boots run attribute @s generic.jump_strength modifier add emerald_boots 0.1 add_value
# Remove emerald jump strength.
execute unless predicate linear_progression:trim/emerald_helmet run attribute @s generic.jump_strength modifier remove emerald_helmet
execute unless predicate linear_progression:trim/emerald_chest run attribute @s generic.jump_strength modifier remove emerald_chest
execute unless predicate linear_progression:trim/emerald_legs run attribute @s generic.jump_strength modifier remove emerald_legs
execute unless predicate linear_progression:trim/emerald_boots run attribute @s generic.jump_strength modifier remove emerald_boots



# Amethyst increse attack damage.
execute if predicate linear_progression:trim/amethyst_helmet run attribute @s generic.attack_damage modifier add amethyst_helmet 1 add_value
execute if predicate linear_progression:trim/amethyst_chest run attribute @s generic.attack_damage modifier add amethyst_chest 1 add_value
execute if predicate linear_progression:trim/amethyst_legs run attribute @s generic.attack_damage modifier add amethyst_legs 1 add_value
execute if predicate linear_progression:trim/amethyst_boots run attribute @s generic.attack_damage modifier add amethyst_boots 1 add_value
# Remove amethyst attack damage.
execute unless predicate linear_progression:trim/amethyst_helmet run attribute @s generic.attack_damage modifier remove amethyst_helmet
execute unless predicate linear_progression:trim/amethyst_chest run attribute @s generic.attack_damage modifier remove amethyst_chest
execute unless predicate linear_progression:trim/amethyst_legs run attribute @s generic.attack_damage modifier remove amethyst_legs
execute unless predicate linear_progression:trim/amethyst_boots run attribute @s generic.attack_damage modifier remove amethyst_boots

# Iron increase block interaction range.
execute if predicate linear_progression:trim/iron_helmet run attribute @s player.block_interaction_range modifier add iron_helmet 1 add_value
execute if predicate linear_progression:trim/iron_chest run attribute @s player.block_interaction_range modifier add iron_chest 1 add_value
execute if predicate linear_progression:trim/iron_legs run attribute @s player.block_interaction_range modifier add iron_legs 1 add_value
execute if predicate linear_progression:trim/iron_boots run attribute @s player.block_interaction_range modifier add iron_boots 1 add_value
# Remove iron block interaction range.
execute unless predicate linear_progression:trim/iron_helmet run attribute @s player.block_interaction_range modifier remove iron_helmet
execute unless predicate linear_progression:trim/iron_chest run attribute @s player.block_interaction_range modifier remove iron_chest
execute unless predicate linear_progression:trim/iron_legs run attribute @s player.block_interaction_range modifier remove iron_legs
execute unless predicate linear_progression:trim/iron_boots run attribute @s player.block_interaction_range modifier remove iron_boots
# Iron increase entity interaction range.
execute if predicate linear_progression:trim/iron_helmet run attribute @s player.entity_interaction_range modifier add iron_helmet 1 add_value
execute if predicate linear_progression:trim/iron_chest run attribute @s player.entity_interaction_range modifier add iron_chest 1 add_value
execute if predicate linear_progression:trim/iron_legs run attribute @s player.entity_interaction_range modifier add iron_legs 1 add_value
execute if predicate linear_progression:trim/iron_boots run attribute @s player.entity_interaction_range modifier add iron_boots 1 add_value
# Remove iron entityinteraction range.
execute unless predicate linear_progression:trim/iron_helmet run attribute @s player.entity_interaction_range modifier remove iron_helmet
execute unless predicate linear_progression:trim/iron_chest run attribute @s player.entity_interaction_range modifier remove iron_chest
execute unless predicate linear_progression:trim/iron_legs run attribute @s player.entity_interaction_range modifier remove iron_legs
execute unless predicate linear_progression:trim/iron_boots run attribute @s player.entity_interaction_range modifier remove iron_boots

# Diamond increase armor.
execute if predicate linear_progression:trim/diamond_helmet run attribute @s generic.armor modifier add diamond_helmet 1.5 add_value
execute if predicate linear_progression:trim/diamond_chest run attribute @s generic.armor modifier add diamond_chest 1.5 add_value
execute if predicate linear_progression:trim/diamond_legs run attribute @s generic.armor modifier add diamond_legs 1.5 add_value
execute if predicate linear_progression:trim/diamond_boots run attribute @s generic.armor modifier add diamond_boots 1.5 add_value
# Remove diamond armor.
execute unless predicate linear_progression:trim/diamond_helmet run attribute @s generic.armor modifier remove diamond_helmet
execute unless predicate linear_progression:trim/diamond_chest run attribute @s generic.armor modifier remove diamond_chest
execute unless predicate linear_progression:trim/diamond_legs run attribute @s generic.armor modifier remove diamond_legs
execute unless predicate linear_progression:trim/diamond_boots run attribute @s generic.armor modifier remove diamond_boots
# Diamond increase armor toughness.
execute if predicate linear_progression:trim/diamond_helmet run attribute @s generic.armor_toughness modifier add diamond_helmet 1 add_value
execute if predicate linear_progression:trim/diamond_chest run attribute @s generic.armor_toughness modifier add diamond_chest 1 add_value
execute if predicate linear_progression:trim/diamond_legs run attribute @s generic.armor_toughness modifier add diamond_legs 1 add_value
execute if predicate linear_progression:trim/diamond_boots run attribute @s generic.armor_toughness modifier add diamond_boots 1 add_value
# Remove diamond armor toughness.
execute unless predicate linear_progression:trim/diamond_helmet run attribute @s generic.armor_toughness modifier remove diamond_helmet
execute unless predicate linear_progression:trim/diamond_chest run attribute @s generic.armor_toughness modifier remove diamond_chest
execute unless predicate linear_progression:trim/diamond_legs run attribute @s generic.armor_toughness modifier remove diamond_legs
execute unless predicate linear_progression:trim/diamond_boots run attribute @s generic.armor_toughness modifier remove diamond_boots

# Gold increase mining speed.
execute if predicate linear_progression:trim/gold_helmet run attribute @s player.block_break_speed modifier add gold_helmet 1 add_value
execute if predicate linear_progression:trim/gold_chest run attribute @s player.block_break_speed modifier add gold_chest 1 add_value
execute if predicate linear_progression:trim/gold_legs run attribute @s player.block_break_speed modifier add gold_legs 1 add_value
execute if predicate linear_progression:trim/gold_boots run attribute @s player.block_break_speed modifier add gold_boots 1 add_value
# Remove gold mining speed.
execute unless predicate linear_progression:trim/gold_helmet run attribute @s player.block_break_speed modifier remove gold_helmet
execute unless predicate linear_progression:trim/gold_chest run attribute @s player.block_break_speed modifier remove gold_chest
execute unless predicate linear_progression:trim/gold_legs run attribute @s player.block_break_speed modifier remove gold_legs
execute unless predicate linear_progression:trim/gold_boots run attribute @s player.block_break_speed modifier remove gold_boots

# Redstone increase movement speed.
execute if predicate linear_progression:trim/redstone_helmet run attribute @s generic.movement_speed modifier add redstone_helmet 0.1 add_multiplied_base
execute if predicate linear_progression:trim/redstone_chest run attribute @s generic.movement_speed modifier add redstone_chest 0.1 add_multiplied_base
execute if predicate linear_progression:trim/redstone_legs run attribute @s generic.movement_speed modifier add redstone_legs 0.1 add_multiplied_base
execute if predicate linear_progression:trim/redstone_boots run attribute @s generic.movement_speed modifier add redstone_boots 0.1 add_multiplied_base
# Remove redstone movement speed.
execute unless predicate linear_progression:trim/redstone_helmet run attribute @s generic.movement_speed modifier remove redstone_helmet
execute unless predicate linear_progression:trim/redstone_chest run attribute @s generic.movement_speed modifier remove redstone_chest
execute unless predicate linear_progression:trim/redstone_legs run attribute @s generic.movement_speed modifier remove redstone_legs
execute unless predicate linear_progression:trim/redstone_boots run attribute @s generic.movement_speed modifier remove redstone_boots

# Redstone increase step height.
execute if predicate linear_progression:trim/redstone_helmet run attribute @s generic.step_height modifier add redstone_helmet 0.9 add_value
execute if predicate linear_progression:trim/redstone_chest run attribute @s generic.step_height modifier add redstone_chest 0.9 add_value
execute if predicate linear_progression:trim/redstone_legs run attribute @s generic.step_height modifier add redstone_legs 0.9 add_value
execute if predicate linear_progression:trim/redstone_boots run attribute @s generic.step_height modifier add redstone_boots 0.9 add_value
# Remove redstone step height.
execute unless predicate linear_progression:trim/redstone_helmet run attribute @s generic.step_height modifier remove redstone_helmet
execute unless predicate linear_progression:trim/redstone_chest run attribute @s generic.step_height modifier remove redstone_chest
execute unless predicate linear_progression:trim/redstone_legs run attribute @s generic.step_height modifier remove redstone_legs
execute unless predicate linear_progression:trim/redstone_boots run attribute @s generic.step_height modifier remove redstone_boots

# Quartz increase max health.
execute if predicate linear_progression:trim/quartz_helmet run attribute @s generic.max_health modifier add quartz_helmet 2.25 add_value
execute if predicate linear_progression:trim/quartz_chest run attribute @s generic.max_health modifier add quartz_chest 2.25 add_value
execute if predicate linear_progression:trim/quartz_legs run attribute @s generic.max_health modifier add quartz_legs 2.25 add_value
execute if predicate linear_progression:trim/quartz_boots run attribute @s generic.max_health modifier add quartz_boots 2.25 add_value
# Remove quartz max health.
execute unless predicate linear_progression:trim/quartz_helmet run attribute @s generic.max_health modifier remove quartz_helmet
execute unless predicate linear_progression:trim/quartz_chest run attribute @s generic.max_health modifier remove quartz_chest
execute unless predicate linear_progression:trim/quartz_legs run attribute @s generic.max_health modifier remove quartz_legs
execute unless predicate linear_progression:trim/quartz_boots run attribute @s generic.max_health modifier remove quartz_boots
